package com.kingtom.kirin;

import com.kingtom.kirin.core.common.utils.SpringContextUtils;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/22 19:28
 */
@SpringBootApplication(scanBasePackages = {"com.kingtom.kirin.config", "com.kingtom.kirin.api",
        "com.kingtom.kirin.core", "com.kingtom.kirin.app"})
@EnableWebMvc
@MapperScan({"com.kingtom.kirin.app.*.dao"})
public class KirinApplication {

    public static void main(String[] args) {
        SpringApplication.run(KirinApplication.class,args);
    }
}
